﻿using Microsoft.SmallBasic.Library;

namespace SBAliases
{
    /// <summary>This class provides access to Flickr photo services.</summary>
    [SmallBasicType]
    public static class _Flickr
    {
        /// <summary>Gets the URL for the picture of the moment.</summary>
        /// <returns>A file URL for Flickr's picture of the moment</returns>
        public static Primitive GetPictureOfMoment()
        {
            return Flickr.GetPictureOfMoment();
        }

        /// <summary>
        /// Gets the URL for a random picture tagged with the specified tag.
        /// </summary>
        /// <param name="tag">The tag for the requested picture.</param>
        /// <returns>A file URL for Flickr's random picture</returns>
        public static Primitive GetRandomPicture(Primitive tag)
        {
            return Flickr.GetRandomPicture(tag);
        }
    }
}
